Package org.kie.internal.executor.api

## Enum STATUS

- java.lang.Object
- - java.lang.Enum<STATUS>
  - - org.kie.internal.executor.api.STATUS

- All Implemented Interfaces:
    `Serializable`, `Comparable<STATUS>`

      public enum STATUS
      extends Enum<STATUS>

  Possible statuses of the request

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CANCELLED` |
    `DONE` |
    `ERROR` |
    `QUEUED` |
    `RETRYING` |
    `RUNNING` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static STATUS` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static STATUS[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUEUED

          public static final STATUS QUEUED

    - #### DONE

          public static final STATUS DONE

    - #### CANCELLED

          public static final STATUS CANCELLED

    - #### ERROR

          public static final STATUS ERROR

    - #### RETRYING

          public static final STATUS RETRYING

    - #### RUNNING

          public static final STATUS RUNNING

  - ### Method Detail

    - #### values

          public static STATUS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STATUS c : STATUS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STATUS valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null